# [THESAURUS SYNONYMS T DATA](https://github.com/FlatEarthTruther/thesaurus-synonyms-t-data)

Data scraped with spiders from [thesaurus.com](http://www.thesaurus.com) on 2018-03
[![NPM version](https://img.shields.io/npm/v/thesaurus-synonyms-t-data.svg)](https://www.npmjs.com/package/thesaurus-synonyms-t-data)
[![Build Status](https://travis-ci.org/FlatEarthTruther/thesaurus-synonyms-t-data.svg?branch=master)](https://travis-ci.org/FlatEarthTruther/thesaurus-synonyms-t-data)

[This package/repo is a dependency of thesaurus-synonyms-data](https://github.com/FlatEarthTruther/thesaurus-synonyms-data)
 
## RELATED PROJECTS

[DICTIONARY DEFINITIONS DATA](https://github.com/FlatEarthTruther/dictionary-definitions-data)
 
#### STATS

    $ wc -l t.json
    12671 t.json
  
    $ du -sh t.js*
    244M	t.json
     20M	t.json.zip

## INSTALL [PACKAGE](https://www.npmjs.com/package/thesaurus-synonyms-t-data) 📦

    npm i -S thesaurus-synonyms-t-data
    
## USAGE

Zip files containing the data get uncompressed during postinstall.    

#### LOAD SYNC
```javascript
require('thesaurus-synonyms-t-data').loadSync()
```

    [ { key: 'take a part of',
        datetime: '2018-03-25 03:31:51',
        page_number: 1,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20a%20part%20of/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/1' },
      { key: 'take a nap',
        datetime: '2018-03-25 03:31:51',
        page_number: 1,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20a%20nap/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/1' },
      { key: 'take a meeting',
        datetime: '2018-03-25 03:31:52',
        page_number: 1,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20a%20meeting/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/1' },
      { key: 'take a loss on',
        datetime: '2018-03-25 03:31:52',
        page_number: 1,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20a%20loss%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/1' },
      { key: 'take a look',
        datetime: '2018-03-25 03:31:59',
        page_number: 1,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20a%20look/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/1' },
      { key: 'take a load off',
        datetime: '2018-03-25 03:31:59',
        page_number: 1,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20a%20load%20off/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/1' },
      { key: 'take a liking to',
        datetime: '2018-03-25 03:32:00',
        page_number: 1,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20a%20liking%20to/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/1' },
      { key: 'take a life',
        datetime: '2018-03-25 03:32:01',
        page_number: 1,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20a%20life/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/1' },
      { key: 'take a leak',
        datetime: '2018-03-25 03:32:02',
        page_number: 1,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20a%20leak/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/1' },
      { key: 'take a hop',
        datetime: '2018-03-25 03:32:02',
        page_number: 1,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20a%20hop/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/1' },
      { key: 'take a header',
        datetime: '2018-03-25 03:32:06',
        page_number: 1,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20a%20header/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/1' },
      { key: 'take a hand',
        datetime: '2018-03-25 03:32:08',
        page_number: 1,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20a%20hand/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/1' },
      { key: 'take a gander',
        datetime: '2018-03-25 03:32:09',
        page_number: 1,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20a%20gander/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/1' },
      { key: 'take a flyer',
        datetime: '2018-03-25 03:32:09',
        page_number: 1,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20a%20flyer/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/1' },
      { key: 'take a fling',
        datetime: '2018-03-25 03:32:11',
        page_number: 1,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20a%20fling/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/1' },
      { key: 'take a flier',
        datetime: '2018-03-25 03:32:11',
        page_number: 1,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20a%20flier/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/1' },
      { key: 'take a dip',
        datetime: '2018-03-25 03:32:11',
        page_number: 1,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20a%20dip/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/1' },
      { key: 'take a dim view of',
        datetime: '2018-03-25 03:32:11',
        page_number: 1,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20a%20dim%20view%20of/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/1' },
      { key: 'take a dig at',
        datetime: '2018-03-25 03:32:11',
        page_number: 1,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20a%20dig%20at/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/1' },
      { key: 'take a different look',
        datetime: '2018-03-25 03:32:11',
        page_number: 1,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20a%20different%20look/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/1' },
      { key: 'take a place',
        datetime: '2018-03-25 03:32:13',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20a%20place/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take all comers',
        datetime: '2018-03-25 03:32:17',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20all%20comers/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take all',
        datetime: '2018-03-25 03:32:17',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20all/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take charge',
        datetime: '2018-03-25 03:32:18',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20charge/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take character',
        datetime: '2018-03-25 03:32:20',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20character/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take chance',
        datetime: '2018-03-25 03:32:20',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20chance/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take chair',
        datetime: '2018-03-25 03:32:20',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20chair/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take care of business',
        datetime: '2018-03-25 03:32:20',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20care%20of%20business/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take care business',
        datetime: '2018-03-25 03:32:49',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20care%20business/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take care',
        datetime: '2018-03-25 03:32:51',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20care/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take captive',
        datetime: '2018-03-25 03:32:51',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20captive/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take cake',
        datetime: '2018-03-25 03:32:52',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20cake/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take by surprise',
        datetime: '2018-03-25 03:32:52',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20by%20surprise/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take by storm',
        datetime: '2018-03-25 03:32:52',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20by%20storm/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take bussubwaytrain',
        datetime: '2018-03-25 03:32:53',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20bussubwaytrain/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take bus',
        datetime: '2018-03-25 03:32:53',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20bus/subway/train/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take each other',
        datetime: '2018-03-25 03:32:57',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20each%20other/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take easy',
        datetime: '2018-03-25 03:32:53',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20easy/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take no chances',
        datetime: '2018-03-25 08:53:08',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20no%20chances/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take no account of',
        datetime: '2018-03-25 08:53:08',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20no%20account%20of/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take nap',
        datetime: '2018-03-25 08:53:08',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20nap/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take name vain',
        datetime: '2018-03-25 08:53:09',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20name%20vain/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take name in vain',
        datetime: '2018-03-25 08:53:09',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20name%20in%20vain/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take meeting',
        datetime: '2018-03-25 08:53:11',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20meeting/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take medicine',
        datetime: '2018-03-25 08:53:11',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20medicine/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take measure of',
        datetime: '2018-03-25 08:53:14',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20measure%20of/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take measure',
        datetime: '2018-03-25 08:53:15',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20measure/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take meaning',
        datetime: '2018-03-25 08:53:16',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20meaning/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take mean',
        datetime: '2018-03-25 08:53:16',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20mean/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take marriage',
        datetime: '2018-03-25 08:53:16',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20marriage/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take lying down',
        datetime: '2018-03-25 08:53:16',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20lying%20down/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take lumps',
        datetime: '2018-03-25 08:53:17',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20lumps/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take loss on',
        datetime: '2018-03-25 08:53:17',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20loss%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take look',
        datetime: '2018-03-25 08:53:17',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20look/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take loan',
        datetime: '2018-03-25 08:53:18',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20loan/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take load ones mind',
        datetime: '2018-03-25 08:53:18',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20load%20ones%20mind/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take load ones chest',
        datetime: '2018-03-25 08:53:18',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20load%20ones%20chest/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take care of',
        datetime: '2018-03-25 03:32:22',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20care%20of/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take load one mind',
        datetime: '2018-03-25 08:53:20',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20load%20one%20mind/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take load one chest',
        datetime: '2018-03-25 08:53:20',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20load%20one%20chest/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take load off ones mind',
        datetime: '2018-03-25 08:53:20',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20load%20off%20ones%20mind/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take no notice',
        datetime: '2018-03-25 08:53:22',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20no%20notice/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take load off ones chest',
        datetime: '2018-03-25 08:53:22',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20load%20off%20ones%20chest/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take load off one mind',
        datetime: '2018-03-25 08:53:22',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20load%20off%20one%20mind/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take load off one chest',
        datetime: '2018-03-25 08:53:22',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20load%20off%20one%20chest/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take load off mind',
        datetime: '2018-03-25 08:53:23',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20load%20off%20mind/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take one medicine',
        datetime: '2018-03-25 08:53:29',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20one%20medicine/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take one measure',
        datetime: '2018-03-25 08:53:29',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20one%20measure/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take one lumps',
        datetime: '2018-03-25 08:53:30',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20one%20lumps/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take one life one hands',
        datetime: '2018-03-25 08:53:30',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20one%20life%20one%20hands/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take one life in one hands',
        datetime: '2018-03-25 08:53:30',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20one%20life%20in%20one%20hands/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take one life in hands',
        datetime: '2018-03-25 08:53:30',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20one%20life%20in%20hands/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take one life hands',
        datetime: '2018-03-25 08:53:30',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20one%20life%20hands/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take ones own sweet time',
        datetime: '2018-03-25 08:53:32',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20ones%20own%20sweet%20time/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take ones medicine',
        datetime: '2018-03-25 08:53:32',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20ones%20medicine/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take ones measure',
        datetime: '2018-03-25 08:53:32',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20ones%20measure/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take ones lumps',
        datetime: '2018-03-25 08:53:33',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20ones%20lumps/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take ones life ones hands',
        datetime: '2018-03-25 08:53:33',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20ones%20life%20ones%20hands/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take ones life in ones hands',
        datetime: '2018-03-25 08:53:33',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20ones%20life%20in%20ones%20hands/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take ones life in hands',
        datetime: '2018-03-25 08:53:33',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20ones%20life%20in%20hands/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take ones life hands',
        datetime: '2018-03-25 08:53:33',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20ones%20life%20hands/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take ones leave',
        datetime: '2018-03-25 08:53:33',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20ones%20leave/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take possession',
        datetime: '2018-03-25 08:53:33',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20possession/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take pledge',
        datetime: '2018-03-25 08:53:36',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20pledge/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take load one&amp',
        datetime: '2018-03-25 08:53:37',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20load%20one&amp',
        data: {},
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take stab',
        datetime: '2018-03-25 08:53:39',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20stab/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take special pains',
        datetime: '2018-03-25 08:53:40',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20special%20pains/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take snooze',
        datetime: '2018-03-25 08:53:40',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20snooze/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take siesta',
        datetime: '2018-03-25 08:53:40',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20siesta/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take side',
        datetime: '2018-03-25 08:53:40',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20side/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take load off one&amp',
        datetime: '2018-03-25 08:53:40',
        page_number: 2,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20load%20off%20one&amp',
        data: {},
        page_url: 'http://www.thesaurus.com/list/t/2' },
      { key: 'take the field',
        datetime: '2018-03-25 08:53:41',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20the%20field/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take soundings',
        datetime: '2018-03-25 08:53:42',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20soundings/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take the fall',
        datetime: '2018-03-25 08:53:42',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20the%20fall/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take sights',
        datetime: '2018-03-25 08:53:42',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20sights/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take the edge',
        datetime: '2018-03-25 08:53:45',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20the%20edge/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take the cure',
        datetime: '2018-03-25 08:53:45',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20the%20cure/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take to cleaner',
        datetime: '2018-03-25 08:53:49',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20to%20cleaner/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take to be',
        datetime: '2018-03-25 08:53:50',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20to%20be/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      { key: 'take to air',
        datetime: '2018-03-25 08:53:50',
        page_number: 3,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20to%20air/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/3' },
      ... 12571 more items ]
    
#### LOAD ASYNC
```javascript
require('thesaurus-synonyms-t-data').load(function(err, data) {
    if (err) throw err;
    console.log(data[1].key)
});
```

    'take a nap'


#### FIND SYNC EXAMPLE
```javascript
var _ = require('lodash');
var data = require('thesaurus-synonyms-t-data').loadSync();

function findSync(word) {
  return _.find(data, function(o) {
    return o.key === word.toLowerCase();
  } );
}
findSync('take a nap');
```

    { key: 'take a nap',
        datetime: '2018-03-25 03:31:51',
        page_number: 1,
        letter: 't',
        word_url: 'http://www.thesaurus.com/browse/take%20a%20nap/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/t/1' }

#### FIND ASYNC EXAMPLE
```javascript
var _ = require('lodash');
var load = require('thesaurus-synonyms-t-data').load;

function find(word, callback) {
  load(function(err, data) {
    if (err) callback(err);
    var result = _.find(data, function(o) {
      return o.key === word.toLowerCase();
    } );
    callback(null, result);
  });
}
find('take a nap', function(err, data) {
    if (err) throw err;
    console.log(data.data);
});   
```

    { synonyms:
       [ { txt: 'verb', words: [Array], ttl: 'be calm; sleep' },
         { txt: 'verb', words: [Array], ttl: 'suspend consciousness' } ],
      citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
      antonyms:
       [ { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] },
         { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] } ],
      related:
       [ { url: 'http://www.thesaurus.com/browse/rest',
           text: 'rest',
           words: [Array],
           def: 'verb. be calm; sleep' },
         { url: 'http://www.thesaurus.com/browse/sleep',
           text: 'sleep',
           words: [Array],
           def: 'verb. suspend consciousness' } ] }

#### JSONLINES FORMAT

Look at [test.js](test.js) to find out more about the object structure.

    "letter" - str - word begins with this letter
    "word_url" or "url" - str - word thesaurus.com url
    "datetime" - str - datetime when data was downloaded
    "page_number" - str - the pagenumber the word was found on
    "page_url" - str - page url to word on thesaurus.com
    "key" - str - word key
    "data" - obj
        "synonyms" - arr
            "txt" - str
            "words" - arr
                "category" - int
                "url" - str
                "text" - str
                "length" - int
                "complexity" - int
                "id" - int
            "ttl" - str
        "citation" - str
        "related" - arr
            "url" - str
            "text" - str
            "words" - arr
                "url" - str
                "word" - str
            "def" - str

#### SAMPLE WORD - air ball

```json
{
  "key": "table-salt",
  "datetime": "2018-03-28 09:06:42",
  "page_number": 1,
  "letter": "t",
  "word_url": "http://www.thesaurus.com/browse/table-salt/1",
  "data": {
    "synonyms": [
      {
        "txt": "noun",
        "words": [
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/salt%20shaker",
            "text": "salt shaker",
            "length": 1,
            "complexity": 1,
            "id": 1
          }
        ],
        "ttl": "common salt"
      }
    ],
    "citation": "Roget's 21st Century Thesaurus, Third Edition Copyright \\u00a9 2013 by the Philip Lief Group.",
    "related": [
      {
        "url": "http://www.thesaurus.com/browse/table%20salt",
        "text": "table salt",
        "words": [
          {
            "url": "http://www.thesaurus.com/browse/salt%20shaker",
            "word": "salt shaker"
          }
        ],
        "def": "noun. common salt"
      }
    ]
  },
  "page_url": "http://www.thesaurus.com/list/t/1"
}
```

## TESTS

Accepted param `--verbose` or `-v` to get detailed output of data being tested.

    npm test -- --verbose
    # or
    npm run test
    # or
    node --max_old_space_size=4096 ./test.js -v
    # or
    ./test.js

Should say: `All tests passed!`

Please note some of the data files are so large that they had to be left out of the tests, in fact some of the data files will give you `FATAL ERROR` when you try to load them, in that case give node more memory when you run the script, `node --max_old_space_size=4096  test.js`, increase size as necessary.

## LICENSE

This is free and unencumbered software released into the public domain.

Anyone is free to copy, modify, publish, use, compile, sell, or
distribute this software, either in source code form or as a compiled
binary, for any purpose, commercial or non-commercial, and by any
means.

In jurisdictions that recognize copyright laws, the author or authors
of this software dedicate any and all copyright interest in the
software to the public domain. We make this dedication for the benefit
of the public at large and to the detriment of our heirs and
successors. We intend this dedication to be an overt act of
relinquishment in perpetuity of all present and future rights to this
software under copyright law.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

For more information, please refer to <http://unlicense.org>

    
